package com.yiboshi.science.service;
import com.yiboshi.science.base.BaseService;
import com.yiboshi.science.entity.ComEvaluationItem;
import com.yiboshi.science.param.dto.ComEvaluationItemDTO;
import com.yiboshi.science.param.query.ComEvaluationItemQueryVO;

import java.util.List;

/**
 * 评审项目表 Service
 * 
 * @author lkl
 * @version 2021-08-26
 */
public interface ComEvaluationItemService extends BaseService<ComEvaluationItemQueryVO, ComEvaluationItemDTO, ComEvaluationItem> {

    List<ComEvaluationItemDTO> getEvaluationItemByContentId(String contentId);

    ComEvaluationItemDTO getEvaluationItemById(String id);

    String CheckItemHasValues(ComEvaluationItemDTO dto);

    String insertEvaluationItem(ComEvaluationItemDTO dto);

    String updateEvaluationItem(ComEvaluationItemDTO dto);

    String deleteEvaluationItem(String id);
}